Bug 215638

Summary: www/seahub: Updated to 6.0.5
Product: Ports & Packages Reporter: Ultima <Ultima1252>
Component: Individual Port(s)Assignee: Nikolai Lifanov <lifanov>
Status: Closed FIXED    
Severity: Affects Only Me CC: lifanov, pi
Priority: --- Keywords: easy, patch-ready
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://github.com/haiwen/seahub/commits/v6.0.5-pro
Attachments:
Description Flags
seahub.diff Ultima1252: maintainer-approval+

Description Ultima 2016-12-28 18:50:04 UTC
Created attachment 178360 [details]
seahub.diff

This is an update to seahub to the most current version, 6.0.5. This update is a patch update.


* Updated to 6.0.5

 - Merge pull request #1403 from haiwen/count-users
 - update post args when generate encrypted share link
 - [repo-folder-perm-admin] fix
 - update encoding check when edit file
 - [my libs] don't show operations for broken library
 - [trash] added 'go back'
 - [file revisions] added 'back'
 - update admin del damaged repo
 - add space usage/quota info when export user to excel
 - [i18n] Update fr locale

portlint -AC:
WARN: Makefile: [0]: possible direct use of command "file" found. use ${FILE} instead.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 2 warnings found.

poudriere bulk -tC:
12amd64: success https://poudriere.ultimasbox.com/data/12amd64-test/2016-12-27_13h00m34s/logs/seahub-6.0.5.log
12i386: success https://poudriere.ultimasbox.com/data/12i386-test/2016-12-27_13h00m34s/logs/seahub-6.0.5.log
110amd64: success https://poudriere.ultimasbox.com/data/110amd64-test/2016-12-27_13h00m29s/logs/seahub-6.0.5.log
110i386: success https://poudriere.ultimasbox.com/data/110i386-test/2016-12-27_13h00m30s/logs/seahub-6.0.5.log
101amd64: success https://poudriere.ultimasbox.com/data/101amd64-test/2016-12-27_13h00m27s/logs/seahub-6.0.5.log
101i386: success https://poudriere.ultimasbox.com/data/101i386-test/2016-12-27_13h00m28s/logs/seahub-6.0.5.log
93amd64: skipped: py27-cryptography-1.6: https://poudriere.ultimasbox.com/build.html?mastername=93amd64-test&build=2016-12-27_13h00m52s
93i386: skipped: py27-cryptography-1.6: https://poudriere.ultimasbox.com/build.html?mastername=93i386-test&build=2016-12-27_13h00m37s
Comment 1 Nikolai Lifanov freebsd_committer 2016-12-28 19:07:23 UTC
Are you sure that this piece is correct?

-		${LOCALBASE}/www/haiwen/seafile-server/seafile/bin/seaf-server:net-mgmt/seafile-server \
+		${PREFIX}/www/haiwen/seafile-server/seafile/bin/seaf-server:net-mgmt/seafile-server \
Comment 2 Ultima 2016-12-28 21:44:46 UTC
(In reply to Nikolai Lifanov from comment #1)
 My thoughts on it is that when seafile-server is being installed it is being installed to $STAGEDIR/$PREFIX/$SEABIN/

In the unlikely event someone decides to change PREFIX to /usr over /usr/local, after seafile-server is already installed, it would be installed to /usr/www instead of the $LOCALBASE, /usr/local/www so seahub would detect missing depend even though it is installed.

Maybe overthinking this however so a second opinion would be good. I'm not even sure if this considered supported in the freebsd ports.
Comment 3 Ultima 2016-12-28 21:51:39 UTC
(In reply to Nikolai Lifanov from comment #1)
Yeah this should be correct after reading porters handbook.

https://www.freebsd.org/doc/en/books/porters-handbook/book.html#porting-prefix
Comment 4 Nikolai Lifanov freebsd_committer 2016-12-30 12:51:54 UTC
According to mat, this does need to be LOCALBASE for dependency lines since this is technically where dependencies get installed (and looked up from).
Comment 5 commit-hook freebsd_committer 2016-12-30 16:03:26 UTC
A commit references this bug:

Author: lifanov
Date: Fri Dec 30 16:02:36 UTC 2016
New revision: 429995
URL: https://svnweb.freebsd.org/changeset/ports/429995

Log:
  * Updated to 6.0.5

   - Merge pull request #1403 from haiwen/count-users
   - update post args when generate encrypted share link
   - [repo-folder-perm-admin] fix
   - update encoding check when edit file
   - [my libs] don't show operations for broken library
   - [trash] added 'go back'
   - [file revisions] added 'back'
   - update admin del damaged repo
   - add space usage/quota info when export user to excel
   - [i18n] Update fr locale

  PR:		215638
  Submitted by:	Ultima1252@gmail.com (maintainer)
  Reviewed by:	matthew
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D8986

Changes:
  head/www/seahub/Makefile
  head/www/seahub/distinfo
  head/www/seahub/pkg-plist
Comment 6 Nikolai Lifanov freebsd_committer 2016-12-30 16:08:47 UTC
Committed (using LOCALBASE), thanks!
Comment 7 Ultima 2016-12-30 18:31:59 UTC
K, thanks for checking. Glad all my ports are now up to date for the next quarterly!